Rated 1 out of 5 stars

Kara, Mozilla didn't make this add-on, so they're not responsible for keeping it updated.

Rated 1 out of 5 stars

@Pijuvwy, the Schubert plugin works fine for me on a 64-bit computer with Mac OS X 10.6.8 and Firefox 5.0.1, so I don't know why it's not working on yours. :S

Rated 1 out of 5 stars

@NEmom, It's a plugin, so it would be listed under plugins, not extensions. If it's not there, then beats me (I see it in my plugins). The installation may not have worked properly.

If you can determine that it has been installed properly, then go to Firefox-->Preferences-->Applications and for the "Preview Document (application/pdf)" content type select "Use PDF Browser Plugin 2.4.1 (in Firefox)" or "Always ask" as the action.

That's weird though, it's been working for me even without me doing all that. So I think your best bet is that the installation went wrong somewhere. *shrug*

Rated 1 out of 5 stars

@krstofur, naix already posted a link to downloading the very same plugin. Ten days ago.

Rated 1 out of 5 stars

We need an update that WORKS IN 64-BIT.

Rated 1 out of 5 stars

@tbillert, Yes, there are drawbacks… Can't specifically remember what they are, but I distinctly remember that there are drawbacks.

Rated 1 out of 5 stars

Hear hear tbillert, how DID you guys get it to work? When I try it says "not compatible with 4.01". 8DJ4VSH2 and Ms Mousette, would you care to enlighten us? :S

Rated 4 out of 5 stars

@dbrnz, Too late. Firefox has been updated to 4.01, and when I tried the link you gave it said it wasn't compatible with 4.01.